/* Agent Tcl
   Bob Gray
   15 July 1995

   tclAgentInt.h

   This file defines the internal routines that are called from more than
   one source file.

   Copyright (c) 1995, Robert S. Gray Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _TCL_AGENT_INT_H
#define _TCL_AGENT_INT_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#ifndef _TCL_H
#include "tcl.h"
#endif

    /* Tcl commands */

int Agent_DummystringCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_SeedCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_TrueseedCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_TrueeventCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_RandomCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_StatusCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_CryptCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_SelectCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_TransferCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_BeginCmd   
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_NameCmd    
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_EndCmd     
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_SendCmd    
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_ReceiveCmd 
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv); 

int Agent_DiskCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_JumpCmd    
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_ForkCmd    
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_ScriptCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);
	
int Agent_SubmitCmd  
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_MeetCmd     
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_AcceptAndWaitCmd     
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_RequestCmd     
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_AcceptCmd     
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_RejectCmd     
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_GetReqCmd  
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_RootCmd    
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_ForceCmd 
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_SleepCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_TimeCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_MaskCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_EventCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_GetEventCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_InfoCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Agent_SecurityCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Meeting_CloseCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Meeting_SendCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Meeting_SendfileCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Meeting_ReceiveCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

int Meeting_GetfileCmd
	(ClientData dummy, Tcl_Interp *interp, int argc, char **argv);

#endif  
