/* Agent Tcl
   Bob Gray
   9 February 1995

   platInterrupt.h

   This file defines a reliable signal function "install_signal".  This
   function is based on the examples in "UNIX Network Programming" by
   W. Richard Stevens [Prentice-Hall, 1990].

   Copyright (c) 1995-1997, Robert S. Gray Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _PLAT_INTERRUPT_H
#define _PLAT_INTERRUPT_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#ifdef FIX_LATER
    /*
     * we need to define our own SIG_IGN and SIG_DFL constants to pass
     * in as the "func" argument
     */
#endif

class SignalHandlers 
{
public:

    typedef void *ClientData;
    typedef void (*funcType) (int, ClientData);

    static void initializeSignals (void);
    static int install_signal (int signo, funcType func, ClientData clientData);
    static int install_signal_intr (int signo, funcType func, ClientData clientData);
};

#endif
